Skip to main content
Infrastructure/Installer
GETInstallerSince 1.0SynchronousAuth Required

ListInstallerPackages

List all packages available from the depot for installation

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • nameString

      Package name in the depot catalog

      Example: zcf-core

    • displayNameString

      Human-friendly display name of the package

      Example: ZCF Core Service

    • versionString

      Available version of this package

      Example: 1.2.0

    • deliveryTypeString

      Distribution delivery type for the package

      Example: container

    • categoryString

      Category grouping for this package

      Example: core

    • sizeBytesString

      Size of the package in bytes

      Example: 268435456

    • statusString

      Local availability status for this package

      Example: not_downloaded

    • archesList

      Arches for this resource

      Example: item1,item2

  • totalInteger

    Total number of packages available from the depot

    Example: 8

Endpoint

GET/api/v1/installer/depot/packages

/api/v1/installer/depot/packages

Operation ID

ListInstallerPackages

Permalink

Request Example

curl -X GET '{host}/api/v1/installer/depot/packages' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 8
}

Change History

This API has no change history records yet.

View all change history